Name:		pciutils
Version:	2.1.9
Release:	2mdk
Source0:	ftp://metalab.unc.edu/pub/Linux/hardware/%{name}-%{version}.tar.bz2
URL:		http://atrey.karlin.mff.cuni.cz/~mj/pciutils.html
Patch0:		pciutils-werror.patch.bz2
Patch1:		pciutils-2.1.6-cardbusonlywhenroot.patch.bz2
Patch2:		pciutils-bufsiz.patch.bz2
Patch5:		pciutils-pcix.patch.bz2
Patch10:    pciutils-2.1.8-pcimodules.patch.bz2
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
ExclusiveOS: 	Linux
Summary: Linux PCI utilities.
Requires: kernel >= 2.1.82
Group: System/Kernel and hardware
Prefix: %{_prefix}

%description
This package contains various utilities for inspecting and setting
devices connected to the PCI bus. The utilities provided require
kernel version 2.1.82 or newer (supporting the /proc/bus/pci
interface).

%package devel
Summary: Linux PCI development library
Group: Development/C
Requires: %{name} = %{version}

%description devel
This package contains a library for inspecting and setting
devices connected to the PCI bus.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
#%patch3 -p1
#%patch4 -p1 
%patch5 -p1
%patch10 -p1

%build
make OPT="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man8,%{_datadir},%{_libdir},%{_includedir}/pci}

install -s pcimodules lspci setpci $RPM_BUILD_ROOT%{_bindir}
install -m 644 pcimodules.man lspci.8 setpci.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -m 644 pci.ids $RPM_BUILD_ROOT%{_datadir}
install -m 644 lib/libpci.a $RPM_BUILD_ROOT%{_libdir}
install -m 644 lib/{pci.h,header.h,config.h} $RPM_BUILD_ROOT%{_includedir}/pci

%files
%defattr(-, root, root)
%doc README ChangeLog pciutils.lsm
%{_mandir}/*/*
%{_bindir}/*
%{_datadir}/pci.ids

%files devel
%defattr(-, root, root)
%doc TODO
%{_libdir}/*.a
%{_includedir}/*/*.h

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Feb 10 2002 Pixel <pixel@mandrakesoft.com> 2.1.9-2mdk
- removing patch 3 & 4 which *are* merged upstream

* Fri Feb  8 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 2.1.9-1mdk
- Version 2.1.9.
- Removed Patch 6, 7, 8 and 9, merged upstream.
- Commented out Patch 3 and 4, likely merged upstream.

* Thu Oct 11 2001 Pixel <pixel@mandrakesoft.com> 2.1.8-8mdk
- make rpmlint happy

* Tue Jun 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8-7mdk
- Add pcimodules.

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 2.1.8-6mdk
- add require for -devel

* Mon Sep 25 2000 Pixel <pixel@mandrakesoft.com> 2.1.8-5mdk
- include pci.ids patch from redhat

* Sun Sep  3 2000 Pixel <pixel@mandrakesoft.com> 2.1.8-4mdk
- fix the license

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 2.1.8-3mdk
- BM

* Wed Jun 28 2000 Pixel <pixel@mandrakesoft.com> 2.1.8-2mdk
- cleanup
- add redhat's patch

* Tue Jun  6 2000 Pixel <pixel@mandrakesoft.com> 2.1.8-1mdk
- new version

* Tue Apr 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.6-2mdk
- move lspci to /usr/bin since it's userspace.
- Read Cardbus info only when we are root.
- Clean-up specs.

* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 2.1.6-1mdk
- 2.1.6
- new BuildRoot
- remove ExcludeArch armv4l
- add TODO as pciutils-devel documentation

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 2.1.5-2mdk
- new group

* Wed Feb 16 2000 Pixel <pixel@mandrakesoft.com> 2.1.5-1mdk
- new version

* Sun Nov 21 1999 Pixel <pixel@mandrakesoft.com>
- removed %config for pci.ids (someone was zealous here?)
- changed 0711 to 0755 for lspci (makes rpmlint happy :)

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- s/=>/>=//g in Requires:.

* Sun Oct 31 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.1 final.

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.1-pre8.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- NMU: Build release.

* Fri Oct  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add pciutils-devel package.

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 2.1pre5
- cleaning spec

* Thu Jul 15 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update to 2.1-pre4.tar.bz2

* Wed May 19 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 2.0

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Mon Apr 19 1999 Jakub Jelinek  <jj@ultra.linux.cz>
- update to 1.99.5
- fix sparc64 operation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Thu Feb  4 1999 Bill Nottingham <notting@redhat.com>
- initial build
